Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wli.management.configuration
Interface BusinessCalendarConfigurationMBean

All Superinterfaces:
  weblogic.management.configuration.ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.WebLogicMBean

public interface BusinessCalendarConfigurationMBean
extends weblogic.management.configuration.ConfigurationMBean

MBean for configuring business calendars.

Field Summary
`static long` | `CACHING_STUB_SVUID` The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub).

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`DEFAULT_EMPTY_BYTE_ARRAY`

Method Summary
`boolean` | `calendarNameExists(String name)` Checks if a calendar with the given name exists.
`void` | `createCalendar(com.bea.wli.calendar.schema.CalendarDocument cDoc)` Creates a new calendar from the information passed in the CalendarDocument.
`void` | `deleteCalendar(String calendarName)`
`void` | `deleteCalendars(String[] names)`
`String[]` | `getAllCalendarNames()`
`com.bea.wli.calendar.schema.CalendarDocument[]` | `getAllCalendars()` Gets all calendars, includin rules info and mapped groups and users
`com.bea.wli.calendar.schema.CalendarDocument` | `getCalendar(String calendarName)`
`com.bea.wli.calendar.schema.CalendarDocument` | `getGroupCalendar(String groupId)`
`com.bea.wli.calendar.schema.CalendarDocument` | `getSystemCalendar()`
`com.bea.wli.calendar.schema.CalendarDocument` | `getUserCalendar(String userId)`
`void` | `setGroupCalendar(String groupId, String calendarName)`
`void` | `setUserCalendar(String userId, String calendarName)` Set the user's calendar.
`boolean` | `systemCalendarExists()`
`void` | `unsetGroupCalendar(String groupId)`
`void` | `unsetUserCalendar(String userId)`
`void` | `updateCalendar(String oldCalendarName, com.bea.wli.calendar.schema.CalendarDocument cDoc)` Update the calendar - oldCalendarName, using the passed CalendarDocument.
`void` | `updateSystemCalendar(com.bea.wli.calendar.schema.CalendarDocument cDoc)` Update the system calendar using the passed CalendarDocument.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXml, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

  The magic number that is used to generate the serialVersionUID of the generated MBean Stub (xxxMBean_Stub). You must change this value whenever you make one of the changes to this interface:

  - remove an existing method.
  - change the signature of an existing "getter" or "setter" method.
  - change the signature of an existing "boolean getter", i.e, "boolean isEnabled()"

  Otherwise you don't need to change this value. For instance you can add new methods, or you can change the signature of methods that don't start with "get", "set" or "is". If you are in doubt then change the SVUID. It is a good idea to increment this value when changing.

  See Also:
    Constant Field Values

Method Detail

### calendarNameExists

    public boolean calendarNameExists(String name)
                               throws javax.management.MBeanException

  Checks if a calendar with the given name exists.

  Parameters:
    `name` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### createCalendar

    public void createCalendar(com.bea.wli.calendar.schema.CalendarDocument cDoc)
                        throws javax.management.MBeanException

  Creates a new calendar from the information passed in the CalendarDocument.

  Parameters:
    `cDoc` -
  Throws:
    `javax.management.MBeanException` - - if a calendar with the given name exists or of the document is not valid.

### getCalendar

    public com.bea.wli.calendar.schema.CalendarDocument getCalendar(String calendarName)
                                                             throws javax.management.MBeanException

  Parameters:
    `calendarName` -
  Returns:
    The CalendarDocument or null if a calendar with the given name does not exist.
  Throws:
    `javax.management.MBeanException`

### updateCalendar

    public void updateCalendar(String oldCalendarName,
                               com.bea.wli.calendar.schema.CalendarDocument cDoc)
                        throws javax.management.MBeanException

  Update the calendar - oldCalendarName, using the passed CalendarDocument. The name of the calendar is also updated based on the name passed in. Use updateSystemCalendar to update the system calendar.

  Parameters:
    `oldCalendarName` -
    `cDoc` -
  Throws:
    `javax.management.MBeanException`

### updateSystemCalendar

    public void updateSystemCalendar(com.bea.wli.calendar.schema.CalendarDocument cDoc)
                              throws javax.management.MBeanException

  Update the system calendar using the passed CalendarDocument. If the name of the calendar is differnt than the name of the existing system calendar, then the existing system calendar is changed to non-system calendar. If a calendar with this name does not exist then it is created.

  Parameters:
    `cDoc` -
  Throws:
    `javax.management.MBeanException`

### deleteCalendar

    public void deleteCalendar(String calendarName)
                        throws javax.management.MBeanException

  Parameters:
    `calendarName` -
  Throws:
    `javax.management.MBeanException`

### deleteCalendars

    public void deleteCalendars(String[] names)
                         throws javax.management.MBeanException

  Parameters:
    `names` -
  Throws:
    `javax.management.MBeanException`

### systemCalendarExists

    public boolean systemCalendarExists()
                                 throws javax.management.MBeanException

  Returns:
  Throws:
    `javax.management.MBeanException`

### getSystemCalendar

    public com.bea.wli.calendar.schema.CalendarDocument getSystemCalendar()
                                                                   throws javax.management.MBeanException

  Returns:
  Throws:
    `javax.management.MBeanException`

### getAllCalendarNames

    public String[] getAllCalendarNames()
                                 throws javax.management.MBeanException

  Returns:
  Throws:
    `javax.management.MBeanException`

### getAllCalendars

    public com.bea.wli.calendar.schema.CalendarDocument[] getAllCalendars()
                                                                   throws javax.management.MBeanException

  Gets all calendars, includin rules info and mapped groups and users

  Returns:
  Throws:
    `javax.management.MBeanException`

### setUserCalendar

    public void setUserCalendar(String userId,
                                String calendarName)
                         throws javax.management.MBeanException

  Set the user's calendar. Does not do anything is either the given user or the calendar does not exist. A user can have only one calendar, so if a calendar is already mapped to the user then it is unmapped.

  Parameters:
    `userId` -
    `calendarName` -
  Throws:
    `javax.management.MBeanException`

### unsetUserCalendar

    public void unsetUserCalendar(String userId)
                           throws javax.management.MBeanException

  Parameters:
    `userId` -
  Throws:
    `javax.management.MBeanException`

### getUserCalendar

    public com.bea.wli.calendar.schema.CalendarDocument getUserCalendar(String userId)
                                                                 throws javax.management.MBeanException

  Parameters:
    `userId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

### setGroupCalendar

    public void setGroupCalendar(String groupId,
                                 String calendarName)
                          throws javax.management.MBeanException

  Parameters:
    `groupId` -
    `calendarName` -
  Throws:
    `javax.management.MBeanException`

### unsetGroupCalendar

    public void unsetGroupCalendar(String groupId)
                            throws javax.management.MBeanException

  Parameters:
    `groupId` -
  Throws:
    `javax.management.MBeanException`

### getGroupCalendar

    public com.bea.wli.calendar.schema.CalendarDocument getGroupCalendar(String groupId)
                                                                  throws javax.management.MBeanException

  Parameters:
    `groupId` -
  Returns:
  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD